This tool parses the AST and find out all the declared variables and lists out all the locations from where they are referred.

Clone the project in $LLVM_SRC/tools/clang/tools/clang-list-var. 
Update the $LLVM_SRC/tools/clang/tools/CMakeLists.txt file to include this project.
When we build LLVM, the tool is installed as clang-list-var
